Session Group

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE

List all session group summaries

API for retrieving and managing stored group session summaries.

Required API key scopes

session_recording:read

Path parameters

  • project_id
    string

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/session_group_summaries
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/session_group_summaries/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"session_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
}
}
]
}

Create session group summaries

API for retrieving and managing stored group session summaries.

Required API key scopes

session_recording:write

Path parameters

  • project_id
    string

Request parameters


    Response


    Example request

    POST /api/projects/:project_id/session_group_summaries
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl
    -H 'Content-Type: application/json'\
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/session_group_summaries/\
    -d title="string"

    Example response

    Status 201
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "session_ids": [
    "string"
    ],
    "summary": null,
    "extra_summary_context": null,
    "run_metadata": null,
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {
    "property1": null,
    "property2": null
    },
    "role_at_organization": "engineering"
    },
    "team": 0
    }

    Retrieve session group summaries

    API for retrieving and managing stored group session summaries.

    Required API key scopes

    session_recording:read

    Path parameters

    • id
      string
    • project_id
      string

    Response


    Example request

    GET /api/projects/:project_id/session_group_summaries/:id
    export POSTHOG_PERSONAL_API_KEY=[your personal api key]
    curl \
    -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
    <ph_app_host>/api/projects/:project_id/session_group_summaries/:id/

    Example response

    Status 200
    RESPONSE
    {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "session_ids": [
    "string"
    ],
    "summary": null,
    "extra_summary_context": null,
    "run_metadata": null,
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": {
    "id": 0,
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "distinct_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "is_email_verified": true,
    "hedgehog_config": {
    "property1": null,
    "property2": null
    },
    "role_at_organization": "engineering"
    },
    "team": 0
    }

    Update session group summaries

    API for retrieving and managing stored group session summaries.

    Required API key scopes

    session_recording:write

    Path parameters

    • id
      string
    • project_id
      string

    Request parameters


      Response


      Example request

      PATCH /api/projects/:project_id/session_group_summaries/:id
      export POSTHOG_PERSONAL_API_KEY=[your personal api key]
      curl -X PATCH \
      -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
      <ph_app_host>/api/projects/:project_id/session_group_summaries/:id/\
      -d title="string"

      Example response

      Status 200
      RESPONSE
      {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "session_ids": [
      "string"
      ],
      "summary": null,
      "extra_summary_context": null,
      "run_metadata": null,
      "created_at": "2019-08-24T14:15:22Z",
      "created_by": {
      "id": 0,
      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
      "distinct_id": "string",
      "first_name": "string",
      "last_name": "string",
      "email": "user@example.com",
      "is_email_verified": true,
      "hedgehog_config": {
      "property1": null,
      "property2": null
      },
      "role_at_organization": "engineering"
      },
      "team": 0
      }

      Delete session group summaries

      API for retrieving and managing stored group session summaries.

      Required API key scopes

      session_recording:write

      Path parameters

      • id
        string
      • project_id
        string

      Example request

      DELETE /api/projects/:project_id/session_group_summaries/:id
      export POSTHOG_PERSONAL_API_KEY=[your personal api key]
      curl -X DELETE \
      -H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
      <ph_app_host>/api/projects/:project_id/session_group_summaries/:id/

      Example response

      Status 204 No response body

      Community questions

      Questions about this page? or post a community question.